use crate::container::*;
use crate::*;
use yew::prelude::*;
pub struct Button {
    link: ComponentLink<Self>,
    props: Properties,
}
#[derive(Properties, Clone, Debug)]
pub struct Properties {
    #[prop_or_default]
    pub children: Children,
}
impl Component for Button {
    type Message = ();
    type Properties = Properties;
    fn create(props: Self::Properties, link: ComponentLink<Self>) -> Self {
        Self { link, props }
    }
    fn update(&mut self, _: Self::Message) -> ShouldRender {
        true
    }
    fn change(&mut self, _: Self::Properties) -> ShouldRender {
        false
    }
    fn view(&self) -> Html {
        html! {
            <Container is={Elem::Button} >
                 {self.props.children.clone()}
            </Container>

        }
    }
}
